Flow

Revoke an API token

DELETE
/api-tokens/{token_hash}

Permanently revokes the API token identified by its SHA-256 hash. Requires admin access.

BearerAuth
headerAuthorizationBearer <JWT>

Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.

token_hash*string

SHA-256 hex digest identifying the token.

Response Body

Token successfully revoked.

Example Request
curl -X DELETE 'https://example.com/api/hub/api-tokens/string'
Example Response
Empty